import { event, hierarchy, tree, zoom, linkHorizontal } from 'd3'

export default (selection, data) => {  
  let height = +selection.attr('height')
  let width = +selection.attr('width')
  console.log([height, width])
  
  const treeLayout = tree().size([height, width])
  
  const root = hierarchy(data)
  const links = treeLayout(root).links()
  const linkGenerator = linkHorizontal()
  	.x(d => d.y)
  	.y(d => d.x)

  const zoomG = selection.append('g')
  	.attr('transform', 'translate(0,0)')
	const g = zoomG.append('g')
  
  selection.call(zoom().on('zoom', () => {
    zoomG.attr('transform', event.transform);
  }))
  
  g.selectAll('path').data(links)
    .enter().append('path')
    .attr('d', linkGenerator)
  
  g.selectAll('text').data(root.descendants())
     .enter().append('cirlce')
     .attr('cx', d => (d.y))
     .attr('cy', d => d.x)
}

